#include <bits/stdc++.h>
using namespace std;
string A,B,C;


int main(){
cin >> A>>B>>C;
if((A>=B)and(B>=C))
cout<<A<<B<<C;
else if ((A>=C)and(C>=B))
cout <<A<<C<<B;
else if ((B>=A)and(A>=C))
cout<<B<<A<<C;
else if ((B>=C)and(C>=A))
cout<<B<<C<<A;
else if ((C>=A)and(A>=B))
cout<<C<<A<<B;
else if ((C>=B)and(B>=A))
cout<<C<<B<<A;






return 0;}